XMLWriter::startDTDElement
XMLWriter::startDTD
XMLWriter Functions
PHP Manual

# XMLWriter::startDTDEntity

(PHP 5 >= 5.1.2, PECL xmlwriter >= 0.1.0)

XMLWriter::startDTDEntity — Create start DTD Entity

### Description

Object oriented style

XMLWriter
bool startDTDEntity ( string `$name` , bool `$isparam` )

Procedural style

bool xmlwriter_start_dtd_entity ( resource `$xmlwriter` , string `$name` , bool `$isparam` )

Starts a DTD entity.

### Parameters

`xmlwriter`

  Only for procedural calls. The XMLWriter resource that is being modified. This resource comes from a call to xmlwriter_open_uri() or xmlwriter_open_memory().

`name`

  The name of the entity.

`isparam`

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- XMLWriter::endDTDEntity - End current DTD Entity
- XMLWriter::writeDTDEntity - Write full DTD Entity tag

XMLWriter::startDTDElement
XMLWriter::startDTD
XMLWriter Functions
PHP Manual